import { Icon, Label } from '@fluentui/react';
import { memo } from 'react';
import React from "react";
import { ValidationMark } from '@wiberg/formbuilder';
const FluentPropertyLabelComp = (props) => {
    return (React.createElement("div", { style: { display: "flex" } },
        !props.hideLabel && React.createElement(Label, { key: props.parentKey + "-label", required: props.validationMark === ValidationMark.Required }, props.propertySchema.displayName),
        (!props.hideLabel && props.propertySchema.description) &&
            React.createElement(Icon, { key: props.parentKey + "-labelicon", iconName: "Info", styles: { root: { marginTop: "8px", paddingLeft: "5px", cursor: "help" } }, title: props.propertySchema.description })));
};
const preventUpdate = (prev, next) => {
    return prev.labelText === next.labelText;
};
export const FluentPropertyLabel = memo(FluentPropertyLabelComp, preventUpdate);
//# sourceMappingURL=FluentPropertyLabel.js.map