import { useEffect, useState } from 'react';
import { Checkbox, Toggle } from '@fluentui/react';
import { fluentUiValidationMessageElement } from '../fluentUiValidationMessageElement';
import React from "react";
export const DynamicBooleanField = (props) => {
    const [value, setValue] = useState(props.value);
    useEffect(() => setValue(props.value), [props.value]);
    const onChange = (ev, value) => {
        setValue(value);
        props.onChange(value);
    };
    return (React.createElement(React.Fragment, null,
        props.config?.asToggle
            ? React.createElement(Toggle
            // key={ props.key }
            , { 
                // key={ props.key }
                onText: props.config?.textIfTrue ?? "On", offText: props.config?.textIfFalse ?? "Off", onChange: onChange, defaultChecked: value, disabled: props.disabled })
            : React.createElement(Checkbox
            // key={ props.key }
            , { 
                // key={ props.key }
                label: !!value ? props.config?.textIfTrue : props.config?.textIfFalse, onChange: onChange, defaultChecked: value, disabled: props.disabled }),
        props.errorMessage &&
            fluentUiValidationMessageElement(props.errorMessage)));
};
//# sourceMappingURL=DynamicBooleanField.js.map