import { useEffect, useState } from 'react';
import { DatePicker } from '@fluentui/react';
import { fluentUiValidationMessageElement } from '../fluentUiValidationMessageElement';
import React from "react";
import { lang, FirstWeekOfYear, DayOfWeek } from '@wiberg/formbuilder';
export const DynamicDateField = (props) => {
    const [value, setValue] = useState(props.value);
    useEffect(() => setValue(props.value), [props.value]);
    const onChange = (value) => {
        setValue(value);
        props.onChange(value);
    };
    return React.createElement(React.Fragment, null,
        React.createElement(DatePicker
        // key={props.key}
        , { 
            // key={props.key}
            placeholder: props.disabled ? "" : lang.texts.areas.form.dateDefaultPlaceholder, firstDayOfWeek: props.config?.firstDayOfWeek ?? DayOfWeek.Monday, showWeekNumbers: true, firstWeekOfYear: props.config?.firstWeekOfYear ?? FirstWeekOfYear.FirstFourDayWeek, showMonthPickerAsOverlay: true, isRequired: false, allowTextInput: true, formatDate: props.config?.displayFormat, value: value != null && value != "0001-01-01T00:00:00" ? new Date(value) : undefined, onSelectDate: onChange, disabled: props.disabled, minDate: props.config?.minDate ? props.config?.minDate(props.parent) : undefined, maxDate: props.config?.maxDate ? props.config?.maxDate(props.parent) : undefined, calendarProps: { showGoToToday: true, strings: props.config?.localizationStrings, restrictedDates: props.config?.restrictedDates ? props.config?.restrictedDates(props.parent) : undefined }, onBlur: () => props.onBlur(props.value) }),
        !!props.errorMessage &&
            fluentUiValidationMessageElement(props.errorMessage));
};
//# sourceMappingURL=DynamicDateField.js.map