import { useEffect, useState } from 'react';
import { TextField } from '@fluentui/react';
import React from "react";
import { json } from '@wiberg/formbuilder';
export const DynamicJsonfield = (props) => {
    const [value, setValue] = useState(props.value);
    useEffect(() => setValue(props.value), [props.value]);
    const onChange = (ev, value) => {
        let jsonObj = json.tryParse(value);
        let jsonStringValue = jsonObj ? json.tryStringify(jsonObj) : undefined;
        setValue(jsonStringValue);
        props.onChange(jsonStringValue);
    };
    return React.createElement(TextField, { defaultValue: value, onChange: onChange, disabled: props.disabled, multiline: true, resizable: props.config?.resizable, onBlur: () => props.onBlur(props.value), errorMessage: props.errorMessage ? `${props.errorMessage} and string must be of correct JSON format` : undefined });
};
//# sourceMappingURL=DynamicJsonfield.js.map