import { forwardRef } from "react";
import { Dialog, DialogFooter, Panel, PanelType } from '@fluentui/react';
import React from "react";
import { Form, FormBuilderListEditorType } from "@wiberg/formbuilder";
import { FluentDialogContentWrapper } from "./components/FluentDialogContentWrapper";
export const FluentDialog = forwardRef((props, ref) => {
    return (props.editorConfig?.containerOptions.type == FormBuilderListEditorType.Dialog
        ?
            React.createElement(Dialog, { key: `${props.keyPrefix}-listitemdialog`, minWidth: props.editorConfig?.containerOptions.customWidth ?? 800, hidden: false, title: props.editorConfig?.title(props.item, props.newItemMode), onDismiss: () => props.show(false), dialogContentProps: {
                    subText: props.editorConfig?.description
                }, modalProps: {
                    isBlocking: true
                } },
                React.createElement(React.Fragment, null,
                    React.createElement(FluentDialogContentWrapper, { key: `${props.keyPrefix}-formwrapper`, renderDelay: props.editorConfig?.containerOptions?.contentWrapper?.renderDelay, fallback: props.editorConfig?.containerOptions?.contentWrapper?.fallback },
                        React.createElement(Form, { key: `${props.keyPrefix}-listitemdialogform`, ref: ref, ...props.formListProps, validationResult: undefined, item: props.editorConfig?.dynamicForm?.useEmptyItem
                                ? {}
                                : props.item ?? {}, dynamicSchema: props.editorConfig?.dynamicForm == null
                                ? undefined
                                : {
                                    // semi-override dynamickey function, due to item reset, if using 'useEmptyItem'
                                    dynamicKey: (item) => props.editorConfig?.dynamicForm?.dynamicKey(item != null && Object.keys(item).length ? item : props.item),
                                    schemaConfig: props.editorConfig?.dynamicForm?.schemaConfig
                                } // argh!! the types do nothing :| (ewi)
                         })),
                    React.createElement(DialogFooter, null, props.onRenderFooterContent())))
        :
            React.createElement(Panel, { key: `${props.keyPrefix}-listitempanel`, isOpen: true, onDismiss: () => props.show(false), isLightDismiss: false, type: props.editorConfig?.containerOptions.panelSize ?? PanelType.medium, customWidth: props.editorConfig?.containerOptions.customWidth, className: "tp-panel tp-panel-editor", headerText: props.editorConfig?.title(props.item, props.newItemMode), layerProps: {}, overlayProps: {}, focusTrapZoneProps: {}, isBlocking: true, onOuterClick: (e) => { e.preventDefault(); e.stopPropagation(); return false; }, onRenderFooterContent: props.onRenderFooterContent, isFooterAtBottom: true, styles: { header: { paddingBottom: "30px" }, footerInner: { borderTop: "1px solid rgb(237, 235, 233)" } } },
                React.createElement(FluentDialogContentWrapper, { key: `${props.keyPrefix}-formwrapper`, renderDelay: props.editorConfig?.containerOptions?.contentWrapper?.renderDelay, fallback: props.editorConfig?.containerOptions?.contentWrapper?.fallback },
                    React.createElement(Form, { key: `${props.keyPrefix}-listitempanelform`, ref: ref, ...props.formListProps, validationResult: undefined, item: props.editorConfig?.dynamicForm?.useEmptyItem
                            ? {}
                            : props.item ?? {}, dynamicSchema: props.editorConfig?.dynamicForm == null
                            ? undefined
                            : {
                                // semi-override dynamickey function, due to item reset, if using 'useEmptyItem'
                                dynamicKey: (item) => props.editorConfig?.dynamicForm?.dynamicKey(item != null && Object.keys(item).length ? item : props.item),
                                schemaConfig: props.editorConfig?.dynamicForm?.schemaConfig
                            } }))));
});
//# sourceMappingURL=FluentDialog.js.map