import React, { useEffect, useState } from "react";
export const FluentDialogContentWrapper = ({ renderDelay, fallback, children }) => {
    const [ready, setReady] = useState(false);
    useEffect(() => {
        setTimeout(() => {
            setReady(true);
        }, renderDelay ?? 10);
    }, []);
    if (!ready)
        return React.createElement(React.Fragment, null, fallback ?? null);
    return React.createElement(React.Fragment, null, children);
};
//# sourceMappingURL=FluentDialogContentWrapper.js.map