import { useRef } from 'react';
import { SearchBox } from '@fluentui/react';
import React from "react";
import { debounce, lang } from '@wiberg/formbuilder';
export const DelayedSearchBox = props => {
    let _searchTimer = useRef();
    const OnChange = (value) => {
        var newTimer = debounce(_searchTimer.current, () => props.onChange(value), props.delay);
        _searchTimer.current = newTimer;
    };
    return React.createElement(SearchBox, { className: props.className, placeholder: props.searchPlaceHolder ?? lang.texts.areas.list.searchDefaultPlaceholder, onChange: (e, newValue) => OnChange(newValue), disabled: props.disabled, styles: { root: { maxWidth: "450px" } }, autoFocus: true, autoComplete: 'off', onFocus: props.onFocus });
};
//# sourceMappingURL=DelayedSearchBox.js.map